## pyside-qt4 0.2.3-0maemo1

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pyside)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_CXX_FLAGS_RELEASE "-Wall -fvisibility=hidden -fvisibility-inlines-hidden -Os -finline-limit=600 -ffunction-sections -fomit-frame-pointer -fno-default-inline -fconserve-space -fno-enforce-eh-specs -fno-threadsafe-statics -fno-implicit-inline-templates -DNDEBUG -DBOOST_PYTHON_NO_PY_SIGNATURES -Wno-strict-aliasing")
set(CMAKE_CXX_CFLAGS_DEBUG "-g -fno-common -Wall")

# Maemo specific: Qt 4.6 is now installed on /opt/qt4-maemo5
set(ENV{PATH} $ENV{PATH}:/opt/qt4-maemo5/bin)
set(CMAKE_INSTALL_RPATH /opt/qt4-maemo5/lib:/usr/lib)
set(CMAKE_BUILD_WITH_INSTALL_RPATH YES)
# Maemo specific: link using default toolchain, by unsetting the SBOX_SCRATCHBOX_CONFIG variable (defined in debian/rules)
set(CMAKE_CXX_CREATE_SHARED_MODULE "env -uSBOX_SCRATCHBOX_CONFIG ${CMAKE_CXX_CREATE_SHARED_MODULE}")
set(CMAKE_CXX_CREATE_SHARED_LIBRARY "env -uSBOX_SCRATCHBOX_CONFIG ${CMAKE_CXX_CREATE_SHARED_LIBRARY}")
set(CMAKE_CXX_LINK_EXECUTABLE "env -uSBOX_SCRATCHBOX_CONFIG ${CMAKE_CXX_LINK_EXECUTABLE}")

#OS Flags
if(CMAKE_HOST_UNIX)
    if(CMAKE_HOST_APPLE)
        if(NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
        endif(NOT QT_INCLUDE_DIR)
    else(CMAKE_HOST_APPLE)
        set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wl,--gc-sections -Wl,-O1 -Wl,--hash-style=gnu")
    endif(CMAKE_HOST_APPLE)
endif(CMAKE_HOST_UNIX)

find_package(Boost 1.38.0 COMPONENTS python REQUIRED)
find_package(PythonLibs REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(Qt4 4.5.0 REQUIRED)

set(BINDING_NAME PySide)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "2")
set(BINDING_API_MICRO_VERSION "3")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

option(ENABLE_MAEMO5 "Enable Maemo5 support")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif (NOT CMAKE_BUILD_TYPE)

include(${QT_USE_FILE})
if (${QTVERSION} VERSION_LESS 4.5.0)
    message(FATAL_ERROR "You need Qt4.5, found ${QTVERSION}.")
endif (${QTVERSION} VERSION_LESS 4.5.0)

set(BINDING_VERSION ${BINDING_API_VERSION}.${QT_VERSION_MAJOR}.${QT_VERSION_MINOR})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif (NOT GENERATOR)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target(doc
                  DEPENDS docqtcore docqtgui docqtnetwork docqtopengl docqtsql docqtsvg docqtwebkit docqtxml)

# "make dist", in fact "make package_source"
#set(CPACK_SOURCE_PACKAGE_FILE_NAME "pyside-${BINDING_API_VERSION}")
#set(CPACK_SOURCE_GENERATOR TGZ)
#set(CPACK_SOURCE_IGNORE_FILES "~$" ".svn" "debian/" "build/" ".swp$" "*.kdev4" ".git" ".kdev4")
#include(CPack)

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-qt${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}+${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print (sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}'))"

    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif (NOT SITE_PACKAGE)

set(GENERATOR_EXTRA_FLAGS --generatorSet=boostpython --disable-named-arg)

if (DOC_ONLY)
    set(DOC_ONLY --documentation-only)
endif (DOC_ONLY)

#enable_testing()

#set(TEST_INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}")

# project directories
add_subdirectory(data)
add_subdirectory(base)
add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
#add_subdirectory(tests)

=== PySide/CMakeLists.txt ===
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

macro(execute_generator module sources)
add_custom_command(OUTPUT ${${sources}}
COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_BINARY_DIR}/data/global.h
        --include-paths=${QT_INCLUDE_DIR}
        --typesystem-paths=${typesystem_SOURCE_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        --license-file=${CMAKE_SOURCE_DIR}/data/licensecomment.txt
        ${typesystem_SOURCE_DIR}/typesystem_${module}.xml
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator for ${module}..."
)
endmacro(execute_generator)

# Check QtGui support
macro(CHECK_QT_GUI_MACRO macro_display_name qt_macro module_sources global_sources)
    set(SRC_FILE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/test${qt_macro}.cxx)
    file(WRITE ${SRC_FILE}
      "#include <Qt/QtGui>\n"
      "int main(void) { \n"
      "#ifdef ${qt_macro}\n"
      "#error not supported.\n"
      "#endif\n"
      "}\n")

    try_compile(Q_WORKS ${CMAKE_BINARY_DIR}
      ${SRC_FILE}
      CMAKE_FLAGS
        -DINCLUDE_DIRECTORIES:STRING=${QT_QTGUI_INCLUDE_DIR}\;${QT_INCLUDE_DIR}
        -DLINK_LIBRARIES:PATH=${QT_QTGUI_LIBRARY_RELEASE}
        -DCMAKE_INSTALL_RPATH=${CMAKE_INSTALL_RPATH}
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=YES
        -DCMAKE_CXX_LINK_EXECUTABLE=${CMAKE_CXX_LINK_EXECUTABLE}
      OUTPUT_VARIABLE OUTPUT)

    if(Q_WORKS)
        message(STATUS "Testing support to ${macro_display_name} -- enabled")
        LIST(APPEND ${global_sources}
                    ${${module_sources}})
    else(Q_WORKS)
        message(STATUS "Testing support to ${macro_display_name} -- disabled")
    endif(Q_WORKS)
endmacro(CHECK_QT_GUI_MACRO)


# Only add subdirectory if the associated Qt module is found.
macro(HAS_QT_MODULE var name)
IF (${var})
    add_subdirectory(${name})
    list(APPEND PYSIDE_MODULE_LIST '${name}')
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_BINARY_DIR}/${name}/${name}.so"
                                                               "${TEST_INSTALL_DIR}/${name}.so")
else (${var})
    message(STATUS "${name} NOT found. ${name} support disabled.")
endif (${var})
endmacro(HAS_QT_MODULE)

execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                           "${TEST_INSTALL_DIR}/__init__.py")
set(PYSIDE_MODULE_LIST "")

#if (${QTVERSION} GREATER 4.5.0)
#    set(QT_MULTIMEDIA_FOUND ON)
#endif (${QTVERSION} GREATER 4.5.0)
set(QT_MULTIMEDIA_FOUND OFF)

HAS_QT_MODULE(QT_QTCORE_FOUND QtCore)
HAS_QT_MODULE(QT_QTGUI_FOUND QtGui)
HAS_QT_MODULE(QT_QTWEBKIT_FOUND QtWebKit)
HAS_QT_MODULE(QT_QTNETWORK_FOUND QtNetwork)
HAS_QT_MODULE(QT_QTXML_FOUND QtXml)
HAS_QT_MODULE(QT_QTXMLPATTERNS_FOUND QtXmlPatterns)
HAS_QT_MODULE(QT_QTOPENGL_FOUND QtOpenGL)
HAS_QT_MODULE(QT_QTSVG_FOUND QtSvg)
HAS_QT_MODULE(QT_QTSQL_FOUND QtSql)
HAS_QT_MODULE(QT_QTHELP_FOUND QtHelp)
HAS_QT_MODULE(QT_QTSCRIPT_FOUND QtScript)
HAS_QT_MODULE(QT_QTSCRIPT_FOUND QtScriptTools)
HAS_QT_MODULE(QT_QTUITOOLS_FOUND QtUiTools)
HAS_QT_MODULE(QT_PHONON_FOUND phonon)
HAS_QT_MODULE(QT_MULTIMEDIA_FOUND QtMultimedia)

if(ENABLE_MAEMO5)
    message(STATUS "Testing support to QtMaemo5 -- enabled")
    add_subdirectory(QtMaemo5)
else(ENABLE_MAEMO5)
    message(STATUS "Testing support to QtMaemo5 -- disabled")
endif(ENABLE_MAEMO5)


string(REPLACE ";" "," PYSIDE_MODULES "${PYSIDE_MODULE_LIST}")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py.in
               ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py @ONLY)

=== PySide/QtMaemo5/CMakeLists.txt ===
project(QtMaemo5)

set(QtMaemo5_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/converter_register_qtmaemo5.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5abstractpickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5abstractpickselector_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5editbar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5editbar_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5informationbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5informationbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5kineticscroller_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5kineticscroller_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5timepickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5timepickselector_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5valuebutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5valuebutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qtmaemo5_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qtmaemo5_module_wrapper.cpp
)

execute_generator(maemo5 QtMaemo5_SRC)
# QT_QTMAEMO5_* variables are not defined by CMake
if(NOT QT_QTMAEMO5_INCLUDE_DIR)
  FIND_PATH(QT_QTMAEMO5_INCLUDE_DIR QtMaemo5
            PATHS ${QT_HEADERS_DIR}/QtMaemo5 NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_INCLUDE_DIR)
if(NOT QT_QTMAEMO5_LIBRARY)
  FIND_LIBRARY(QT_QTMAEMO5_LIBRARY QtMaemo5
               PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_LIBRARY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/glue/
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTMAEMO5_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTGUI_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtMaemo5 MODULE ${QtMaemo5_SRC})

set_target_properties(QtMaemo5 PROPERTIES
                      PREFIX ""
                      COMPILE_FLAGS "-DBOOST_PYTHON_MAX_BASES=1")

target_link_libraries(QtMaemo5
                      ${Boost_PYTHON_LIBRARY}
                      ${PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTMAEMO5_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtMaemo5.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== PySide/QtWebKit/CMakeLists.txt ===
project(QtWebKit)

if ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))
    set(QtWebKit_46_SRC )
else ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))
    set(QtWebKit_46_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebelement_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebelementcollection_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebinspector_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpage_extensionoption_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpage_extensionreturn_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpage_errorpageextensionoption_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpage_errorpageextensionreturn_wrapper.cpp
    )
endif ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))


set(QtWebKit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qtwebkit_globals_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qtwebkit_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebdatabase_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebhistoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebhistoryitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebhistory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebhittestresult_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpage_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpluginfactory_plugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebpluginfactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebsecurityorigin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebsettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/qwebview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtWebKit/webcore_wrapper.cpp
${QtWebKit_46_SRC}
)

execute_generator(webkit QtWebKit_SRC)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/glue/
                    ${CMAKE_SOURCE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_GUI_INCLUDE_DIR}
                    ${QT_QTNETWORK_INCLUDE_DIR}
                    ${QT_QTWEBKIT_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${Boost_INCLUDE_DIR}
                    ${pysidebase_SOURCE_DIR})
add_library(QtWebKit MODULE ${QtWebKit_SRC})
set_target_properties(QtWebKit PROPERTIES
                        PREFIX ""
                        COMPILE_FLAGS "-DBOOST_PYTHON_MAX_BASES=1")
target_link_libraries(QtWebKit
                      ${Boost_PYTHON_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTNETWORK_LIBRARY}
                      ${QT_QTWEBKIT_LIBRARY}
                      pysidebase)

# install
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtWebKit.so
        DESTINATION ${SITE_PACKAGE}/${BINDING_NAME})

=== debian/changelog ===
pyside-qt4 (0.2.3-0maemo1) unstable; urgency=low

  * Release 0.2.3.
  * Add pyside-qt4-maemo5 package.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Fri, 18 Dec 2009 13:43:23 -0400

pyside-qt4 (0.2.2-0pyside0~ppa1) unstable; urgency=low

  * Update for final 0.2.2 release
  * Support to Qt 4.6
  * Bug fix

 -- Renato Filho <renato.filho@openbossa.org>  Wed, 23 Nov 2009 15:36:00 -0300

=== debian/control ===
Source: pyside-qt4
Section: python
Priority: optional
Maintainer: PySide team <contact@pyside.org>
Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt
Standards-Version: 3.8.0

Package: pyside-qt4
Architecture: all
Depends: pyside-qt4-base (= ${binary:Version}), pyside-qt4-core (= ${binary:Version})
Replaces: pyside
Provides: pyside
Conflicts: pyside
Description: Python bindings for Qt 4 (metapackage)
 Python bindings for Qt4 framework. This is a metapackage for the
 basic packages.

Package: pyside-qt4-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libboost-python1.38.0
Replaces: pyside-base
Provides: pyside-base
Conflicts: pyside-base
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: pyside-qt4-base-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-dev, libboost-python1.38-dev, pyside-qt4-base
Replaces: pyside-base-dev
Provides: pyside-base-dev
Conflicts: pyside-base-dev
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: pyside-qt4-core
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-core, libboost-python1.38.0, libfontconfig1
Replaces: pyside-core
Provides: pyside-core, ${python:Provides}
Conflicts: pyside-core
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-qt4-gui
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-gui, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-gui
Provides: pyside-gui, ${python:Provides}
Conflicts: pyside-gui
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-qt4-maemo5
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version})
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.

Package: pyside-qt4-network
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-network, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-network
Provides: pyside-network, ${python:Provides}
Conflicts: pyside-network
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-qt4-opengl
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-opengl, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-opengl
Provides: pyside-opengl, ${python:Provides}
Conflicts: pyside-opengl
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-qt4-phonon
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-phonon
Provides: pyside-phonon, ${python:Provides}
Conflicts: pyside-phonon
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-qt4-script
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-script, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-script
Provides: pyside-script, ${python:Provides}
Conflicts: pyside-script
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-qt4-sql
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-sql, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-sql
Provides: pyside-sql, ${python:Provides}
Conflicts: pyside-sql
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-qt4-svg
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-svg, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
Replaces: pyside-svg
Provides: pyside-svg, ${python:Provides}
Conflicts: pyside-svg
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: pyside-qt4-webkit
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-phonon, libqt4-maemo5-dbus
Replaces: pyside-webkit
Provides: pyside-webkit, ${python:Provides}
Conflicts: pyside-webkit
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: pyside-qt4-xml
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-xml, pyside-qt4-core (= ${binary:Version})
Replaces: pyside-xml
Provides: pyside-xml, ${python:Provides}
Conflicts: pyside-xml
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml module.

## pyside-qt4 0.2.3-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
     endif(CMAKE_HOST_APPLE)
 endif(CMAKE_HOST_UNIX)
 
-find_package(Boost 1.38.0 COMPONENTS python REQUIRED)
+find_package(Boost 1.40.0 COMPONENTS python REQUIRED)
 find_package(PythonLibs REQUIRED)
 find_package(PythonInterp REQUIRED)
 find_package(Qt4 4.5.0 REQUIRED)
@@ -34,7 +34,7 @@
 set(BINDING_NAME PySide)
 set(BINDING_API_MAJOR_VERSION "0")
 set(BINDING_API_MINOR_VERSION "2")
-set(BINDING_API_MICRO_VERSION "3")
+set(BINDING_API_MICRO_VERSION "4")
 set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")
 
 option(ENABLE_MAEMO5 "Enable Maemo5 support")

=== data/CMakeLists.txt ===
project(data)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindPySide.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake
        DESTINATION share/cmake-2.6/Modules)


# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyside.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc
        DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)


# generate global include file
if (${CMAKE_HOST_UNIX})
  if (${CMAKE_HOST_APPLE})
      set(OS_APPLE  "1")
      set(OS_X11    "0")
      set(OS_MAEMO5 "0")
  else (${CMAKE_HOST_APPLE})
      set(OS_APPLE  "0")
      set(OS_X11    "1")

      #Maemo
      if (ENABLE_MAEMO5)
        set(OS_MAEMO5  "1")
      else(ENABLE_MAEMO5)
        set(OS_MAEMO5  "0")
      endif(ENABLE_MAEMO5)
  endif(${CMAKE_HOST_APPLE})
endif(${CMAKE_HOST_UNIX})

if (${CMAKE_SIZEOF_VOID_P} MATCHES "64")
    set(SYSTEM_64 "1")
else (${CMAKE_SIZEOF_VOID_P} MATCHES "64")
    set(SYSTEM_64 "0")
endif (${CMAKE_SIZEOF_VOID_P} MATCHES "64")

set(DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/global.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/global.h @ONLY)


add_subdirectory(typesystem)

=== debian/changelog ===
pyside-qt4 (0.2.3-1maemo1) unstable; urgency=low

  * Fix bug #115 - Missing dependencies for some pyside packages.
  * Update Qt 4.6.1.

 -- Renato Filho  <renato.filho@openbossa.org>  Wed, 20 Jan 2010 15:14:09 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: PySide team <contact@pyside.org>
-Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt
+Build-Depends: debhelper (>= 5), cmake, python-dev, libqt4-maemo5-dev, libqt4-maemo5-phonon, boostpythongenerator (>= 0.3.3), python-support, libboost-python1.38-dev, quilt 
 Standards-Version: 3.8.0
 
 Package: pyside-qt4
@@ -65,7 +65,7 @@
 Package: pyside-qt4-maemo5
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-maemo5, pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-dbus, libqt4-maemo5-xml
 Description: Qt 4 Maemo5 module - Python bindings
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -104,7 +104,7 @@
 Package: pyside-qt4-phonon
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-phonon, pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), pyside-qt4-dbus (= ${binary:Version}), pyside-qt4-xml (= ${binary:Version})
 Replaces: pyside-phonon
 Provides: pyside-phonon, ${python:Provides}
 Conflicts: pyside-phonon
@@ -160,7 +160,7 @@
 Package: pyside-qt4-webkit
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), libqt4-maemo5-phonon, libqt4-maemo5-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-base (= ${binary:Version}), libqt4-maemo5-webkit, pyside-qt4-network (= ${binary:Version}), pyside-qt4-core (= ${binary:Version}), pyside-qt4-gui (= ${binary:Version}), pyside-qt4-xml (= ${binary:Version}), pyside-qt4-dbus (= ${binary:Version}), 
 Replaces: pyside-webkit
 Provides: pyside-webkit, ${python:Provides}
 Conflicts: pyside-webkit
